var MODULO = "Cuestionarios";

var KEY_BORRAR = "KEY_BORRAR";

MODIFICACION = "MODIFICACION";



function ponAccion(key) {

    if (key == KEY_BORRAR) {

        if (confirm(msgBorrar)) {

            document.forms["formContactos"].accion.value = key;

            submmitFormulario(key);

        } else {

            return;

        }

    } else {

        document.forms["formContactos"].accion.value = key;

        submmitFormulario(key);

    }

}



function submmitFormulario(key) {

	if(document.forms[0].elements["inicio"].value==MODIFICACION){

		document.forms[0].codProvinciaContexto.value = document.forms[0].elements["contacto(codProvincia)"].value;

		document.forms[0].codMunicipioContexto.value = document.forms[0].elements["contacto(codMunicipio)"].value;

	}

    document.forms["formContactos"].submit();

}



function onLoadPage() {

    seleccionarComboDesdeCampo("contacto(codProvincia)", "codProvincia");

    cargarMunMuniLauncher();

    seleccionarComboDesdeCampo("contacto(codMunicipio)", "codMunicipio");

     if(document.forms[0].elements["inicio"].value==MODIFICACION){

    	document.forms[0].elements["contacto(codProvincia)"].focus();

    	cargarWhereProvincia();

		cargarWhereMunicipio();

		cargarWhereOficina();

    }

}



//Se llama cada vez que se selecciona una provincia en el combo

function provinciaClick() {

    document.forms["formContactos"].elements["contacto(codMunicipio)"].options.length = 0;

    addOption(document.forms["formContactos"].elements["contacto(codMunicipio)"], "", "");

    cargarMunMuniLauncher();

}



//Se carga el combo de municipios a traves del Launcher

function cargarMunMuniLauncher() {

    var where = "provincia_id = " + document.forms["formContactos"].elements["contacto(codProvincia)"].value;

    cargarComboDataLauncherOrdenado(MODULO, idioma, "NORA_T17_MUNICIPIO", "id", "ds_o", "contacto(codMunicipio)", where, "false", true, "ds_o", "ASC");

}



function concatenarNombreInformante() {

    document.forms["formContactos"].elements["contacto(informante)"].value= document.forms[0].elements["nombre"].value + " " + document.forms[0].elements["apellido1"].value  + " " + document.forms[0].elements["apellido2"].value;

}



function concatenarNombreAgente() {

    document.forms["formContactos"].elements["contacto(agente)"].value= document.forms[0].elements["nombre"].value + " " + document.forms[0].elements["apellido1"].value  + " " + document.forms[0].elements["apellido2"].value;

}



function limpiarCampos() {

    limpiarOficinas();

    limpiarInformante();

    limpiarAgente();

}



function limpiarOficinas() {

    document.forms["formContactos"].elements["contacto(idOficina)"].value= "";

    if(idioma=="es"){

		document.forms["formContactos"].elements["contacto(oficinaES)"].value= "";						

	}else{

	    document.forms["formContactos"].elements["contacto(oficinaEU)"].value= "";

	}

}



function limpiarInformante() {

    document.forms["formContactos"].elements["contacto(informante)"].value= "";

    document.forms["formContactos"].elements["contacto(idInformante)"].value= "";

}



function limpiarAgente() {

    document.forms["formContactos"].elements["contacto(agente)"].value= "";

    document.forms["formContactos"].elements["contacto(idAgente)"].value= "";

}



function cargarWhereProvincia(){

	if (document.forms[0].elements["contacto(codProvincia)"].value!="") {

		document.forms[0].elements["where2"].value= "(Q022HT00_PROV = '" + document.forms[0].elements["contacto(codProvincia)"].value + "')" ;

		document.forms[0].elements["where3"].value= "(Q022HT00_PROV = '" + document.forms[0].elements["contacto(codProvincia)"].value + "')" ;

		document.forms[0].elements["where4"].value= "(Q022HT00_PROV = '" + document.forms[0].elements["contacto(codProvincia)"].value + "')" ;

	} else {

		document.forms[0].elements["where2"].value= "";

	}

}



function cargarWhereMunicipio(){

	if (document.forms[0].elements["contacto(codMunicipio)"].value!="") {

		document.forms["formContactos"].elements["where2"].value = "(Q022HT00_PROV = '" + document.forms["formContactos"].elements["contacto(codProvincia)"].value + "') AND (Q022HT00_MUNI = '" 

			+ document.forms["formContactos"].elements["contacto(codMunicipio)"].value +  "')" ;

		document.forms["formContactos"].elements["where3"].value = "(Q022HT00_PROV = '" + document.forms["formContactos"].elements["contacto(codProvincia)"].value + "') AND (Q022HT00_MUNI = '" 

			+ document.forms["formContactos"].elements["contacto(codMunicipio)"].value +  "')" ;

		document.forms["formContactos"].elements["where4"].value = "(Q022HT00_PROV = '" + document.forms["formContactos"].elements["contacto(codProvincia)"].value + "') AND (Q022HT00_MUNI = '" 

			+ document.forms["formContactos"].elements["contacto(codMunicipio)"].value +  "')" ;

	} else {

		document.forms["formContactos"].elements["where2"].value= "(Q022HT00_PROV = '" + document.forms["formContactos"].elements["contacto(codProvincia)"].value + "')" ;

		document.forms["formContactos"].elements["where3"].value= "(Q022HT00_PROV = '" + document.forms["formContactos"].elements["contacto(codProvincia)"].value + "')" ;

		document.forms["formContactos"].elements["where4"].value= "(Q022HT00_PROV = '" + document.forms["formContactos"].elements["contacto(codProvincia)"].value + "')" ;

	}

}



function actualizarWhereOficina(){

	cargarWhereOficina();

	limpiarInformante();

	limpiarAgente();

}



function cargarWhereOficina(){

	if (document.forms[0].elements["contacto(idOficina)"].value!="") {

		document.forms[0].elements["where3"].value = "(Q022IT00_ID_OFI = '" + document.forms[0].elements["contacto(idOficina)"].value + "')";

		document.forms[0].elements["where4"].value = "(Q022JT00_ID_OFI = '" + document.forms[0].elements["contacto(idOficina)"].value + "')";

	} else {

		document.forms[0].elements["where3"].value = "";

		document.forms[0].elements["where4"].value = "";

	}

}